Bug 144263 - CAN-2005-0085 XSS vulnerability in htdig 3.2.0b6 on FC3
Summary: CAN-2005-0085 XSS vulnerability in htdig 3.2.0b6 on FC3
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: htdig   
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard: impact=moderate,embargoed=yes
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-05 13:27 UTC by Josh Bressers
Modified: 2015-03-05 01:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-30 08:20:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2005-01-05 13:27:42 UTC
*** This bug has been split off bug 144127 ***

------- Original comment by Dave Miller on 2005.01.04 13:46 -------

Description of problem:
HTML metacharacters included in the config= parameter to htsearch are
displayed unmodified in the error message returned by htdig.

Version-Release number of selected component (if applicable):
3.2.0b6

How reproducible:
Always

Steps to Reproduce:
1.
http://yourfedorabox/cgi-bin/htsearch?config=%3Cscript%3Ealert('foo')%3C/script%3E
  
Actual results:
you get an alertbox that says "foo" in it.

Expected results:
You shouldn't get an alert box.

Additional info:
This error was reported to webmaster@bugzilla.org by mikx@mikx.de

Comment 1 Josh Bressers 2005-01-05 13:28:29 UTC
This issue should also affect RHEL2.

Comment 2 Mark J. Cox 2005-02-04 08:55:07 UTC
Removing embargo - This issue was leaked public early by SUSE.

Comment 3 Phil Knirsch 2005-02-23 13:33:58 UTC
I just ran some tests on the htdig-3.1.6 version that we currently
ship with RHEL3 and RHEL2.1 and it seems as those versions aren't
affected by this bug as htsearch actually checks if it is run as a
cgi-bin and doesn't display the config file name if there was an error
in that case.

If someone could confirm my tests i think we could close this as not a
bug for RHEL3 and RHEL2.1

Read ya, Phil

Comment 4 Josh Bressers 2005-03-29 21:43:15 UTC
I just tried this on RHEL2.1.  I'd be happy to close this as NOTABUG.  I'll
leave it to you though Phil.

Comment 5 Phil Knirsch 2005-03-30 08:20:13 UTC
OK, then after this confirmation i'm closing this as not a bug.

Thanks Josh!

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.